com.icesoft.faces.component.paneltabset

## Class PanelTab

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGroup
        - - com.icesoft.faces.component.paneltabset.PanelTab

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class PanelTab
      extends javax.faces.component.html.HtmlPanelGroup

  PanelTab is a JSF component class that represents an ICEfaces tab panel.

  The component extends the javax.faces.component.html.HtmlPanelGroup.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlPanelGroup

      `javax.faces.component.html.HtmlPanelGroup.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY` The component family.
    `static java.lang.String` | `COMPONENT_TYPE` The component type.

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelTab()` Creates an instance and sets the default renderer type to "javax.faces.Group".

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getEnabledOnUserRole()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getLabel()`
    `javax.faces.component.UIComponent` | `getLabelFacet()`
    `java.lang.String` | `getLabelWidth()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getRenderedOnUserRole()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isDisabled()`
    `boolean` | `isIconAlignRight()`
    `boolean` | `isLabelWrap()`
    `boolean` | `isRendered()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setDir(java.lang.String dir)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
    `void` | `setIcon(java.lang.String icon)`
    `void` | `setIconAlignRight(boolean iconAlignRight)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setLabelWidth(java.lang.String labelWidth)`
    `void` | `setLabelWrap(boolean labelWrap)`
    `void` | `setLang(java.lang.String lang)`
    `void` | `setOnclick(java.lang.String onclick)`
    `void` | `setOndblclick(java.lang.String ondblclick)`
    `void` | `setOnkeydown(java.lang.String onkeydown)`
    `void` | `setOnkeypress(java.lang.String onkeypress)`
    `void` | `setOnkeyup(java.lang.String onkeyup)`
    `void` | `setOnmousedown(java.lang.String onmousedown)`
    `void` | `setOnmousemove(java.lang.String onmousemove)`
    `void` | `setOnmouseout(java.lang.String onmouseout)`
    `void` | `setOnmouseover(java.lang.String onmouseover)`
    `void` | `setOnmouseup(java.lang.String onmouseup)`
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class javax.faces.component.html.HtmlPanelGroup

      `getLayout, setLayout`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      The component type.
      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      The component family.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelTab

          public PanelTab()

      Creates an instance and sets the default renderer type to "javax.faces.Group".

  - ### Method Detail

    - #### setStyle

          public void setStyle(java.lang.String style)

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyle

          public java.lang.String getStyle()

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### setEnabledOnUserRole

          public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

      Parameters:
        `enabledOnUserRole` -

    - #### getEnabledOnUserRole

          public java.lang.String getEnabledOnUserRole()

      Returns:
        the value of enabledOnUserRole

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Parameters:
        `renderedOnUserRole` -

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Returns:
        the value of renderedOnUserRole

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Parameters:
        `label` -

    - #### getLabel

          public java.lang.String getLabel()

      Returns:
        the value of label

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Parameters:
        `disabled` -

    - #### isDisabled

          public boolean isDisabled()

      Returns:
        the value of disabled

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### isRendered

          public boolean isRendered()

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### setDir

          public void setDir(java.lang.String dir)

      Parameters:
        `dir` -

    - #### setLang

          public void setLang(java.lang.String lang)

      Parameters:
        `lang` -

    - #### setTitle

          public void setTitle(java.lang.String title)

      Parameters:
        `title` -

    - #### setOnclick

          public void setOnclick(java.lang.String onclick)

      Parameters:
        `onclick` -

    - #### setOndblclick

          public void setOndblclick(java.lang.String ondblclick)

      Parameters:
        `ondblclick` -

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String onkeydown)

      Parameters:
        `onkeydown` -

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String onkeypress)

      Parameters:
        `onkeypress` -

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String onkeyup)

      Parameters:
        `onkeyup` -

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String onmousedown)

      Parameters:
        `onmousedown` -

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String onmousemove)

      Parameters:
        `onmousemove` -

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String onmouseout)

      Parameters:
        `onmouseout` -

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String onmouseover)

      Parameters:
        `onmouseover` -

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String onmouseup)

      Parameters:
        `onmouseup` -

    - #### getDir

          public java.lang.String getDir()

      Returns:
        the value of dir property

    - #### getLang

          public java.lang.String getLang()

      Returns:
        the value of lang property

    - #### getTitle

          public java.lang.String getTitle()

      Returns:
        the value of title property

    - #### getOnclick

          public java.lang.String getOnclick()

      Returns:
        the value of onclick property

    - #### getOndblclick

          public java.lang.String getOndblclick()

      Returns:
        the value of ondblclick property

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

      Returns:
        the value of onmousedown property

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

      Returns:
        the value of onmouseup property

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

      Returns:
        the value of onmouseover property

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

      Returns:
        the value of onmousemove property

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

      Returns:
        the value of onmouseout property

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

      Returns:
        the value of onkeypress property

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

      Returns:
        the value of onkeydown property

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

      Returns:
        the value of onkeyup property

    - #### setIcon

          public void setIcon(java.lang.String icon)

      Parameters:
        `icon` -

    - #### getIcon

          public java.lang.String getIcon()

      Returns:
        icon

    - #### setIconAlignRight

          public void setIconAlignRight(boolean iconAlignRight)

      Parameters:
        `iconAlignRight` -

    - #### isIconAlignRight

          public boolean isIconAlignRight()

      Returns:
        iconAlignRight

    - #### setLabelWidth

          public void setLabelWidth(java.lang.String labelWidth)

      Parameters:
        `labelWidth` -

    - #### getLabelWidth

          public java.lang.String getLabelWidth()

      Returns:
        labelWidth

    - #### setLabelWrap

          public void setLabelWrap(boolean labelWrap)

      Parameters:
        `labelWrap` -

    - #### isLabelWrap

          public boolean isLabelWrap()

      Returns:
        labelWrap

    - #### getLabelFacet

          public javax.faces.component.UIComponent getLabelFacet()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.